// GET has no body parameters
<?php
require_once "../vendor/autoload.php";
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = "client-id";
$api->Config->ClientPassword = "api-key";
$api->Config->TemporaryFolder = "../tmp/";
try {
$response = $api->VirtualAccounts->GetAvailabilities();
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk');
const mangopay = new mangopayInstance({
clientId: 'client-id',
clientApiKey: 'api-key',
})
const viewClientAvailabilities = async () => {
return await mangopay.VirtualAccounts.getAvailabilities()
.then((response) => {
console.info(response)
return response
}).catch((err) => {
console.log(err);
return false
});
}
viewClientAvailabilities()
require 'mangopay'
require 'PP'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'client-id'
client.client_apiKey = 'api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewClientAvailabilities()
begin
response = MangoPay::VirtualAccount.fetch_availabilities
puts response
return response
end
end
pp(viewClientAvailabilities())
{
"Collection": [
{
"Country": "GB",
"Available": true,
"Currencies": [
"GBP"
]
},
{
"Country": "LU",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "FR",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "ES",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "DE",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "US",
"Available": true,
"Currencies": [
"USD"
]
},
{
"Country": "CA",
"Available": true,
"Currencies": [
"CAD"
]
},
{
"Country": "DK",
"Available": true,
"Currencies": [
"DKK"
]
},
{
"Country": "PL",
"Available": false,
"Currencies": [
"PLN"
]
},
{
"Country": "AU",
"Available": false,
"Currencies": [
"AUD"
]
}
],
"UserOwned": [
{
"Country": "GB",
"Available": true,
"Currencies": [
"GBP"
]
},
{
"Country": "LU",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "FR",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "ES",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "DE",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "US",
"Available": true,
"Currencies": [
"USD"
]
},
{
"Country": "CA",
"Available": true,
"Currencies": [
"CAD"
]
},
{
"Country": "DK",
"Available": true,
"Currencies": [
"DKK"
]
},
{
"Country": "PL",
"Available": false,
"Currencies": [
"PLN"
]
},
{
"Country": "AU",
"Available": false,
"Currencies": [
"AUD"
]
}
]
}
Virtual IBAN
View Virtual Account availabilities
See your platform’s account capabilities per account type and country
GET
/
v2.01
/
{ClientId}
/
virtual-accounts
/
availability
// GET has no body parameters
<?php
require_once "../vendor/autoload.php";
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = "client-id";
$api->Config->ClientPassword = "api-key";
$api->Config->TemporaryFolder = "../tmp/";
try {
$response = $api->VirtualAccounts->GetAvailabilities();
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk');
const mangopay = new mangopayInstance({
clientId: 'client-id',
clientApiKey: 'api-key',
})
const viewClientAvailabilities = async () => {
return await mangopay.VirtualAccounts.getAvailabilities()
.then((response) => {
console.info(response)
return response
}).catch((err) => {
console.log(err);
return false
});
}
viewClientAvailabilities()
require 'mangopay'
require 'PP'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'client-id'
client.client_apiKey = 'api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewClientAvailabilities()
begin
response = MangoPay::VirtualAccount.fetch_availabilities
puts response
return response
end
end
pp(viewClientAvailabilities())
{
"Collection": [
{
"Country": "GB",
"Available": true,
"Currencies": [
"GBP"
]
},
{
"Country": "LU",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "FR",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "ES",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "DE",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "US",
"Available": true,
"Currencies": [
"USD"
]
},
{
"Country": "CA",
"Available": true,
"Currencies": [
"CAD"
]
},
{
"Country": "DK",
"Available": true,
"Currencies": [
"DKK"
]
},
{
"Country": "PL",
"Available": false,
"Currencies": [
"PLN"
]
},
{
"Country": "AU",
"Available": false,
"Currencies": [
"AUD"
]
}
],
"UserOwned": [
{
"Country": "GB",
"Available": true,
"Currencies": [
"GBP"
]
},
{
"Country": "LU",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "FR",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "ES",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "DE",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "US",
"Available": true,
"Currencies": [
"USD"
]
},
{
"Country": "CA",
"Available": true,
"Currencies": [
"CAD"
]
},
{
"Country": "DK",
"Available": true,
"Currencies": [
"DKK"
]
},
{
"Country": "PL",
"Available": false,
"Currencies": [
"PLN"
]
},
{
"Country": "AU",
"Available": false,
"Currencies": [
"AUD"
]
}
]
}
This endpoint allows you to check which account countries and currencies are available to your platform for Collection and User-Owned accounts (see guide for details).
Responses
200
200
List of account capabilities for the account purpose and their availability for the platform.
Show child attributes
Show child attributes
Returned values: One of the supported countries in two-letter ISO 3166-1 formatThe country of the account purpose.
Returned values: One or more currency codes in ISO 4217 format (EUR, GBP, etc.)List of currencies supported by the account.
List of account capabilities for the account purpose and their availability for the platform.
Show child attributes
Show child attributes
Returned values: One of the supported countries in two-letter ISO 3166-1 formatThe country of the account purpose.
Returned values: One or more currency codes in ISO 4217 format (EUR, GBP, etc.)List of currencies supported by the account.
// GET has no body parameters
<?php
require_once "../vendor/autoload.php";
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = "client-id";
$api->Config->ClientPassword = "api-key";
$api->Config->TemporaryFolder = "../tmp/";
try {
$response = $api->VirtualAccounts->GetAvailabilities();
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk');
const mangopay = new mangopayInstance({
clientId: 'client-id',
clientApiKey: 'api-key',
})
const viewClientAvailabilities = async () => {
return await mangopay.VirtualAccounts.getAvailabilities()
.then((response) => {
console.info(response)
return response
}).catch((err) => {
console.log(err);
return false
});
}
viewClientAvailabilities()
require 'mangopay'
require 'PP'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'client-id'
client.client_apiKey = 'api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewClientAvailabilities()
begin
response = MangoPay::VirtualAccount.fetch_availabilities
puts response
return response
end
end
pp(viewClientAvailabilities())
{
"Collection": [
{
"Country": "GB",
"Available": true,
"Currencies": [
"GBP"
]
},
{
"Country": "LU",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "FR",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "ES",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "DE",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "US",
"Available": true,
"Currencies": [
"USD"
]
},
{
"Country": "CA",
"Available": true,
"Currencies": [
"CAD"
]
},
{
"Country": "DK",
"Available": true,
"Currencies": [
"DKK"
]
},
{
"Country": "PL",
"Available": false,
"Currencies": [
"PLN"
]
},
{
"Country": "AU",
"Available": false,
"Currencies": [
"AUD"
]
}
],
"UserOwned": [
{
"Country": "GB",
"Available": true,
"Currencies": [
"GBP"
]
},
{
"Country": "LU",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "FR",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "ES",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "DE",
"Available": true,
"Currencies": [
"EUR"
]
},
{
"Country": "US",
"Available": true,
"Currencies": [
"USD"
]
},
{
"Country": "CA",
"Available": true,
"Currencies": [
"CAD"
]
},
{
"Country": "DK",
"Available": true,
"Currencies": [
"DKK"
]
},
{
"Country": "PL",
"Available": false,
"Currencies": [
"PLN"
]
},
{
"Country": "AU",
"Available": false,
"Currencies": [
"AUD"
]
}
]
}
Was this page helpful?